CREATE TABLE "LAPA30" 
(
  "ENDATHOR"    TIMESTAMP,
  "ENUSUARI"	VARCHAR(3)
);

CREATE TABLE "LAPA31" 
(
  "VSDATHOR"    TIMESTAMP,
  "VSUSUARI"	VARCHAR(3)
);

CREATE TABLE "LAPA32" 
(
  "FADATHOR"    TIMESTAMP,
  "FAUSUARI"	VARCHAR(3)
);

CREATE TABLE "SOSA20" 
(
  "DVCODEMP"	VARCHAR(3) NOT NULL,
  "DVDEVOLU"	VARCHAR(6) NOT NULL,
  "DVVENDED"	VARCHAR(12),
  "DVNOMCLI"	VARCHAR(35),
  "DVENDCLI"	VARCHAR(50),
  "DVTELCLI"    VARCHAR(20),
  "DVCGCCPF"    VARCHAR(18),
  "DVIDECLI"    VARCHAR(25),
  "DVMOTDEV"	BLOB SUB_TYPE TEXT SEGMENT SIZE 400,
  "DVDOCUME"    VARCHAR(6),
  "DVDATVEN"    TIMESTAMP,      
  "DVDATDEV"    TIMESTAMP,
  "DVUSUARI"    VARCHAR(3),
  "DVAUTORI"    VARCHAR(3),
  "DVNOTAFI"    VARCHAR(6),
  "DVNSERIE"    VARCHAR(3),
  "DVUSUANF"    VARCHAR(3),
CONSTRAINT "SOSA2001" PRIMARY KEY ("DVCODEMP","DVDEVOLU")
);

CREATE TABLE "SOSA21" 
(
  "DICODEMP"	VARCHAR(3) NOT NULL,
  "DIDEVOLU"	VARCHAR(6) NOT NULL,
  "DIREFERE"	VARCHAR(20) NOT NULL,
  "DIQUANTI"	DOUBLE PRECISION DEFAULT 0,
  "DIPRUNIT"	DOUBLE PRECISION DEFAULT 0,
CONSTRAINT "SOSA2101" PRIMARY KEY ("DICODEMP","DIDEVOLU","DIREFERE"),
CONSTRAINT "SOSA21FKSOSA20" FOREIGN KEY (DICODEMP,DIDEVOLU) REFERENCES SOSA20 (DVCODEMP,DVDEVOLU),
CONSTRAINT "SOSA21FKSCEA01" FOREIGN KEY (DIREFERE) REFERENCES SCEA01 (PRREFERE)
);